Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Is Firefox ESR 52.3.0 supports TLS Version 1.2 ?

  • 2 replies
  • 14 have this problem
  • 5087 views
  • Last reply by James

more options

I have Firefox ESR 52.3.0 (32 bit). I want to know whether this version of Firefox supports TLS v1.2 ? Is TLS v1.2 enabled at Firefox ESR 52.3.0 (32 bit) ? Please update us.

Chosen solution

Yes.

There are TLS settings prefs on the about:config page that specify the minimum and maximum TLS version.

  • security.tls.version.max = 3 (TLS 1.2)
  • security.tls.version.min = 1 (TLS 1.0)
  • 1 means TLS 1.0; 2 means TLS 1.1; 3 means TLS 1.2; 4 means TLS 1.3;

You can open the about:config page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue.

Read this answer in context 👍 4

All Replies (2)

more options

Chosen Solution

Yes.

There are TLS settings prefs on the about:config page that specify the minimum and maximum TLS version.

  • security.tls.version.max = 3 (TLS 1.2)
  • security.tls.version.min = 1 (TLS 1.0)
  • 1 means TLS 1.0; 2 means TLS 1.1; 3 means TLS 1.2; 4 means TLS 1.3;

You can open the about:config page via the location/address bar. You can accept the warning and click "I accept the risk!" to continue.

more options

Note 52.5.2 ESR is the current version as 52.3.0 ESR is a old version that came out when Firefox 55.0 did.

Firefox 52.8.0 ESR out in May 2018 will likely be the last update for 52 ESR and last version to support WinXP/Vista.